"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_dom_1 = require("react-dom");
var util_1 = require("../util");
var universal_bootstrap_app_factory_1 = require("./universal-bootstrap-app.factory");
var configurations_definitions_interface_1 = require("../configurations-definitions.interface");
/**
 * @stable [21.08.2019]
 * @param {IContainerClassEntity} applicationContainer
 * @param {IBootstrapConfiguration} bootstrapConfiguration
 */
exports.bootstrapReactApp = function (applicationContainer, bootstrapConfiguration) {
    if (bootstrapConfiguration === void 0) { bootstrapConfiguration = configurations_definitions_interface_1.DEFAULT_BOOTSTRAP_CONFIGURATION; }
    var rootId = bootstrapConfiguration.rootId;
    util_1.addRootElement(rootId);
    util_1.addClassNameToBody('rac');
    var componentClass = universal_bootstrap_app_factory_1.makeBootstrapApp(applicationContainer, {}); // TODO Pass initial props
    react_dom_1.render(new componentClass({}).render(), // Isomorphic componentClass
    util_1.getElementById(rootId));
};
//# sourceMappingURL=react-app.bootstrapper.js.map